Package com.independentsoft.office.odf.styles

# Enum Class AnchorType

java.lang.Object
java.lang.Enum<AnchorType>
com.independentsoft.office.odf.styles.AnchorType

All Implemented Interfaces:
  `Serializable`, `Comparable<AnchorType>`, `Constable`

public enum AnchorType extends Enum<AnchorType>
Represents how a frame is bound to a text document.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AS_CHAR`
  There is no anchor position.
  `CHAR`
  The character after the drawing shape element.
  `FRAME`
  The parent text box that the current drawing shape element is contained in.
  `NONE`
  None.
  `PAGE`
  The page that has the same physical page number as the value of the anchor page number that is attached to the drawing shape element.
  `PARAGRAPH`
  The paragraph that the current drawing shape element is contained in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnchorType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnchorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PAGE

    public static final AnchorType PAGE
    The page that has the same physical page number as the value of the anchor page number that is attached to the drawing shape element. If no anchor page number value is given, the anchor position is the page at which the character behind the drawing object element appears.

  - ### FRAME

    public static final AnchorType FRAME
    The parent text box that the current drawing shape element is contained in.

  - ### PARAGRAPH

    public static final AnchorType PARAGRAPH
    The paragraph that the current drawing shape element is contained in.

  - ### CHAR

    public static final AnchorType CHAR
    The character after the drawing shape element.

  - ### AS_CHAR

    public static final AnchorType AS_CHAR
    There is no anchor position. The drawing shape behaves like a character.

  - ### NONE

    public static final AnchorType NONE
    None.

- ## Method Details

  - ### values

    public static AnchorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnchorType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null